// -- Form styles ----------------------------------------------------

.pure-form {
  text-align: left;
}
.pure-form .input-label {
  text-align: left;
  color: rgba(white,0.80);
  letter-spacing: 0.5px;
  width: 100%;
  margin: 6px 0;
  @include font-size($s-font-size);
}
.pure-form input[type=password], .pure-form input[type=email],
.pure-form input[type=url], .pure-form input[type=date],
.pure-form input[type=month], .pure-form input[type=time],
.pure-form input[type=datetime], .pure-form input[type=datetime-local],
.pure-form input[type=week], .pure-form input[type=tel],
.pure-form input[type=color], .pure-form input[type=number],
.pure-form input[type=search], .pure-form input[type=text],
.pure-form select, .pure-form textarea {
  background: $input-color;
  border: 1px solid #ddd;
  box-shadow: none;
  margin: 0 0 16px 0;
  width: 100%;
  height: 56px;
  padding: 0.7em 24px;
  color: $text-header-color !important;
  letter-spacing: 1px;
  font-weight: $regular;
  display: inline-block;
  @include border-radius();
  @include font-size();
  @include transition(all 0.3s ease-in);
  @include user-select(auto);
}
.pure-form input[type=text]:focus, .pure-form input[type=password]:focus {
  border: 1px solid #ccc;
  border-color: #ccc !important;
}

::-webkit-input-placeholder { letter-spacing: 0px; color: $placeholder-text; font-weight: $regular !important; }
::-moz-placeholder { letter-spacing: 0px; color: $placeholder-text; font-weight: $regular !important; }
:-ms-input-placeholder { letter-spacing: 0px; color: $placeholder-text; font-weight: $regular !important; }
:-moz-placeholder { letter-spacing: 0px; color: $placeholder-text; foont-weight: $regular !important; }

.form-notif {
  text-align: left;
  display: block;
  padding: 5px 15px;
  margin-top: 0;
  margin-bottom:15px;
  position: relative;
  z-index: -1000;
  @include border-radius(4px);
  @include transition(all 0.3s ease-out);

  &.active {
    min-height: 50px;
    height: auto;
    opacity: 1;
    padding: 15px;
    @include transition(all 0.4s ease-in-out);
  }
  a {
    color: #D0021B;
    border-bottom: 2px solid rgba(208, 2, 27, 0.2);
  }
  p {
    margin: 0;
  }
}
.form-notif-error {
  color: $error;
  background: rgba($error, 0.2);
  font-weight: $semi-bold;
}
.form-notif-general {
  color: $highlight;
  background: rgba($highlight, 0.2);
  font-weight: $semi-bold;
}
.form-notif-top {
  &.active {
    margin-bottom: 15px;
  }
}
.form-notif-bottom {
  &.active {
    margin-top: 15px;
  }
}
